/*
**
** Intrinsic.h
**
** Copyright (C) 2000 Michael Pfeiffer
** 
** This program is free software; you can redistribute it and/or modify
** it under the terms of the GNU General Public License as published by
** the Free Software Foundation; either version 2 of the License, or
** (at your option) any later version.
** 
** This program is distributed in the hope that it will be useful,
** but WITHOUT ANY WARRANTY; without even the implied warranty of
** MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
** GNU General Public License for more details.
**
** You should have received a copy of the GNU General Public License
** along with this program; if not, write to the Free Software
** Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
** 
*/
#ifndef INTRINSIC_H
#define INTRINSIC_H

#include <SupportDefs.h>
typedef int Cardinal;
typedef bool Boolean;
typedef bool Bool;
typedef char *String;
#define False false
#define True  true

#define GV_XtNewString(string) strcpy((char*)malloc(strlen(string)+1), string)
#define GV_XtFree free

#define file_getTmpFilename(NULL,filename_raw) tmpnam(filename_raw)
#define file_fileIsNotUseful(name) false
#define unlink remove

#define NotePopupShowMessage(s) 

#define PS_malloc malloc
#define PS_calloc calloc
#define PS_realloc realloc
#define PS_free free

#define PS_XtMalloc malloc
#define PS_XtFree free
#define PS_XtRealloc realloc
#endif